﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace WebApplication1
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-140, 60, 140, -60);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay("WMKOverlay");
                worldMapKitOverlay.IsBaseOverlay = false;
                Map1.CustomOverlays.Add(worldMapKitOverlay);

                LoadAMapFromMsSQL2008();

                Map1.MapTools.LoadingImage.Enabled = true;
                Map1.MapTools.LoadingImage.Width = 64;
                Map1.MapTools.LoadingImage.Height = 64;
                Map1.MapTools.LoadingImage.ImageUri = new Uri(new Uri(Request.Url.AbsoluteUri), "loading.gif");
            }
        }

        private void LoadAMapFromMsSQL2008()
        {
            string connectString = "Data Source=;Initial Catalog=;User ID=;Password=";
            MsSql2008FeatureLayer sql2008Layer = new MsSql2008FeatureLayer(connectString, "states", "recid");
            sql2008Layer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;
            sql2008Layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            LayerOverlay layerOverlay = new LayerOverlay("SQLOverlay");
            layerOverlay.Layers.Add("Sql2008Layer", sql2008Layer);
            layerOverlay.IsBaseOverlay = false;
            Map1.CustomOverlays.Add(layerOverlay);
        }
    }
}
